/*
 * irreco - Ir Remote Control
 * Copyright (C) 2007  Arto Karppinen (arto.karppinen@iki.fi)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Typedef                                                                    */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/*
 * Make sure that typedefs are available before we include anything elese.
 *
 * This makes sure that whatever other structures that depend on structures 
 * defined in this file will compile OK recardles of header inclusion order.
 */
#ifndef __IRRECO_CMD_CHAIN_DLG_H_TYPEDEF__
#define __IRRECO_CMD_CHAIN_DLG_H_TYPEDEF__

typedef struct _IrrecoCmdChainDlg IrrecoCmdChainDlg;
typedef struct _IrrecoCmdChainDlgClass IrrecoCmdChainDlgClass;

#define IRRECO_TYPE_CMD_CHAIN_DLG irreco_cmd_chain_dlg_get_type()

#define IRRECO_CMD_CHAIN_DLG(obj) \
	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
	IRRECO_TYPE_CMD_CHAIN_DLG, IrrecoCmdChainDlg))

#define IRRECO_CMD_CHAIN_DLG_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_CAST ((klass), \
	IRRECO_TYPE_CMD_CHAIN_DLG, IrrecoCmdChainDlgClass))

#define IRRECO_IS_CMD_CHAIN_DLG(obj) \
	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	IRRECO_TYPE_CMD_CHAIN_DLG))

#define IRRECO_IS_CMD_CHAIN_DLG_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_TYPE ((klass), \
	IRRECO_TYPE_CMD_CHAIN_DLG))

#define IRRECO_CMD_CHAIN_DLG_GET_CLASS(obj) \
	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
	IRRECO_TYPE_CMD_CHAIN_DLG, IrrecoCmdChainDlgClass))

#endif /* __IRRECO_CMD_CHAIN_DLG_H_TYPEDEF__ */



/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Include                                                                    */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
#ifndef __IRRECO_CMD_CHAIN_DLG_H__
#define __IRRECO_CMD_CHAIN_DLG_H__
#include "irreco.h"
#include "irreco_dlg.h"
#include "irreco_cmd_chain_editor.h"



/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Datatypes                                                                  */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
struct _IrrecoCmdChainDlg {
	IrrecoDlg parent;
	GtkWidget *editor;
};

struct _IrrecoCmdChainDlgClass {
	IrrecoDlgClass parent_class;
};


/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Macro                                                                      */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/



/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Prototypes                                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
GType		irreco_cmd_chain_dlg_get_type	(void);
GtkWidget*	irreco_cmd_chain_dlg_new	(const gchar    *title,
				    		 GtkWindow      *parent,
						 IrrecoCmdChain *cmd_chain, 
						 IrrecoData     *irreco_data);


#endif /* __IRRECO_CMD_CHAIN_DLG_H__ */


